Package: org.codehaus.groovy.ast

## [Java] Class MethodCallTransformation

- org.codehaus.groovy.ast.MethodCallTransformation

- All Implemented Interfaces and Traits:
    ASTTransformation

      public abstract class MethodCallTransformation
      extends Object

  Authors:
    Hamlet D'Arcy
    Sergei Egorov

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected GroovyCodeVisitor` | `getTransformer(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit sourceUnit)`
    `` | `void` | `visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit sourceUnit)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### protected GroovyCodeVisitor getTransformer(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit sourceUnit)

    - #### public void visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit sourceUnit)